//===================================================================================================\\
//===================================================================================================\\
//===	  ===================	  ===				  ===				  ===\\
//===	  ===================	  ===				  ===				  ===\\
//===	  ===================	  ===========================	  ===	  ===========================\\
//===	  ===================	  ===========================  	  ===	  ===========================\\
//===	  ===================	  ===========================	  ===	  ===========================\\
//===	  ===================	  ===========================	  ===		  ===================\\
//===	  ===================	  ===========================	  ===		  ===================\\
//===	  ===================	  ====	   ==================	  ===	  ===========================\\
//===	  ===================	  ====	    =================	  ===	  ===========================\\
//===				  =====				  ===				  ===\\
//===				  =========			  ===				  ===\\
//===================================================================================================\\
//===================================================================================================\\


//script by [UJE]HappY

//====================================|| SKY ||===================================================\\

textures/UJE_death_water/sky
{
	qer_editorimage textures/UJE_death_water/sky.jpg
	q3map_lightrgb 0.8 0.9 1.0
	q3map_skylight 40 3
	q3map_sunExt 1 .95 .9 1 1 0
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/UJE_death_water/sky.jpg
		rgbGen identity
	}
	{
		map textures/UJE_death_water/sky.jpg
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0005 0.00
		tcMod scale 1 1
	}
}

textures/UJE_death_water/skyside
{
	qer_editorimage textures/UJE_death_water/skyside.tga
	q3map_lightrgb 0.8 0.9 1.0
	q3map_sunExt 1 .95 .9 100 60 60 2 16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 50 5
	sunshader textures/UJE_death_water/skyssun
	surfaceparm sky
	skyparms "textures/UJE_death_water/skyside" - -
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm noimpact
	nopicmip
	nomipmaps
}


textures/UJE_death_water/skyssun
{
	nocompress
	cull none
	q3map_nofog
	
	{
		map textures/UJE_death_water/skyssun.tga
		blendFunc blend
		rgbGen identityLighting
	}
}
//================|| TERAIN ALPHAS ||================\\


textures/UJE_death_water/alpha_0
{
        qer_editorimage textures/UJE_death_water/alpha_0.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_10
{
        qer_editorimage textures/UJE_death_water/alpha_10.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.1
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_20
{
        qer_editorimage textures/UJE_death_water/alpha_20.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.2
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_30
{
        qer_editorimage textures/UJE_death_water/alpha_30.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.3
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_40
{
        qer_editorimage textures/UJE_death_water/alpha_40.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.4
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_50
{
        qer_editorimage textures/UJE_death_water/alpha_50.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_60
{
        qer_editorimage textures/UJE_death_water/alpha_60.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.6
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_70
{
        qer_editorimage textures/UJE_death_water/alpha_70.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.7
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_80
{
        qer_editorimage textures/UJE_death_water/alpha_80.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.8
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_90
{
        qer_editorimage textures/UJE_death_water/alpha_90.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.9
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_death_water/alpha_100
{
        qer_editorimage textures/UJE_death_water/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

//================|| TERRAIN SHADERS ||===============\\


textures/UJE_death_water/gras
{
    qer_editorimage textures/UJE_death_water/gras.tga
    q3map_nonplanar
    q3map_shadeangle 90
	surfaceparm grassteps
    //q3map_tcmodscale 1.5 1.5
	surfaceparm landmines


	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/gras.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}
textures/UJE_death_water/zand
{
    qer_editorimage textures/UJE_death_water/zand.tga
    q3map_nonplanar
    q3map_shadeangle 90
	surfaceparm gravelsteps
    //q3map_tcmodscale 1.5 1.5
	surfaceparm landmines

    surfaceparm dust

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/zand.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}
textures/UJE_death_water/steen1
{
    qer_editorimage textures/UJE_death_water/steen1.tga
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_tcmodscale 1.5 1.5

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/steen1.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}
textures/UJE_death_water/steen2
{
    qer_editorimage textures/UJE_death_water/steen2.tga
    q3map_nonplanar
    q3map_shadeangle 90
    //q3map_tcmodscale 1.5 1.5

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/steen2.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}
textures/UJE_death_water/modder
{
    qer_editorimage textures/UJE_death_water/modder.tga
    q3map_nonplanar
    q3map_shadeangle 179
	surfaceparm gravelsteps
    //q3map_tcmodscale 1.5 1.5
    surfaceparm sand
	surfaceparm landmines

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/modder.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}

//==============|| TERRAIN OVERVLOEIEN ||==============\\

textures/UJE_death_water/modder2zand
{

      qer_editorimage textures/UJE_death_water/modder2zand.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm landmines
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{

		map textures/UJE_death_water/modder.tga
		rgbGen identity
	}

	{

		map textures/UJE_death_water/zand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_death_water/gras2zand
{

      qer_editorimage textures/UJE_death_water/gras2zand.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm landmines
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{

		map textures/UJE_death_water/gras.tga
		rgbGen identity
	}

	{

		map textures/UJE_death_water/zand.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_death_water/zand2steen1
{
      qer_editorimage textures/UJE_death_water/zand2steen1.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm landmines
	surfaceparm grassteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{

		map textures/UJE_death_water/gras.tga
		rgbGen identity
	}

	{
		map textures/UJE_death_water/steen1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_death_water/steen12steen2
{
      qer_editorimage textures/UJE_death_water/steen12steen2.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{
		map textures/UJE_death_water/steen2.tga
		rgbGen identity
	}

	{
		map textures/UJE_death_water/steen1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/UJE_death_water/modder2steen1
{

      qer_editorimage textures/UJE_death_water/modder2steen1.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 179
	surfaceparm landmines
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{
		map textures/UJE_death_water/modder.tga
		rgbGen identity
	}

	{
		map textures/UJE_death_water/steen1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/UJE_death_water/modder2gras
{

      qer_editorimage textures/UJE_death_water/modder2gras.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm landmines
	surfaceparm gravelsteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{

		map textures/UJE_death_water/modder.tga
		rgbGen identity
	}

	{

		map textures/UJE_death_water/gras.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/UJE_death_water/steen12gras
{
      qer_editorimage textures/UJE_death_water/steen12gras.tga
	q3map_lightmapMergable
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm landmines
	surfaceparm grassteps
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )


	{
		map textures/UJE_death_water/steen1.tga
		rgbGen identity
	}

	{

		map textures/UJE_death_water/gras.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//====================================|| FOG ||===================================================\\
textures/UJE_death_water/fog
{
	qer_editorimage textures/UJE_death_water/fog.tga
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	fogparms ( 0.129 0.1875 0.2578 ) 3000		//kleur & 3000=de verte
}
//==================================|| UJE teken ||================================================\\
textures/UJE_death_water/muur4
{
	qer_editorimage textures/UJE_death_water/muur4.jpg
	surfaceparm woodsteps
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_death_water/muur4.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}

//=======================================|| WATER ||================================================\\
//De shader van het water.

textures/UJE_death_water/water
{
	nocompress
	qer_editorimage textures/UJE_death_water/water.tga
	qer_trans .5
	q3map_globaltexture

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm lightfilter

	// de texture is aan 2 kanten te zien...(ook onder water / binnenkant brush)
	cull disable

	{ 
		map textures/UJE_death_water/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 0.4
		depthWrite
		tcmod scale .5 .5
		tcmod turb 0 0.01 0 0.15
		tcmod scroll .01 .01
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}
//=================================|| WATER OP TERRAIN ||==========================================\\



textures/UJE_death_water/modder_alpha
{
    	qer_editorimage textures/UJE_death_water/modder_alpha.tga
    	q3map_nonplanar
    	q3map_shadeangle 179
	surfaceparm gravelsteps
    	//q3map_tcmodscale 1.5 1.5
    	surfaceparm sand
	surfaceparm landmines

	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/UJE_death_water/modder.tga
        blendFunc filter

    }
    {
    	map textures/detail_sd/sanddetail.tga
    	blendFunc GL_DST_COLOR GL_SRC_COLOR
    	detail

    }
}